# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::View Class Reference

The View class encapsulates a single view into the document. More...

`#include <view.h>`

Inheritance diagram for KTextEditor::View:

[legend]
Collaboration diagram for KTextEditor::View:

[legend]
List of all members.

## Public Member Functions

| View (class Document *, QWidget *parent, const char *name=0)
| Create a new view to the given document.
unsigned int | viewNumber () const
QCString | viewDCOPSuffix () const
virtual class Document * | document () const =0
| Acessor to the parent Document.

## Friends

class | PrivateView

## Detailed Description

The View class encapsulates a single view into the document.

Definition at line 32 of file ktexteditor/view.h.

## Constructor & Destructor Documentation

View::View | ( | class Document * | ,
|  | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Create a new view to the given document. The document must be non-null. Definition at line 132 of file ktexteditor.cpp. References KStdAccel::name().

## Member Function Documentation

virtual class Document* KTextEditor::View::document | ( |  | ) | const`[pure virtual]`

| Acessor to the parent Document.

The documentation for this class was generated from the following files:

- ktexteditor/view.h
- ktexteditor.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:31:00 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001